Update v0.961-1 for PortaMx 0.961 released

Started by Feline, 2009 August 14, 08:55:57 pm

previous topic - next topic

0 Members and 1 Guest are viewing this topic.

Feline

*
2009 August 14, 08:55:57 pm
Version 0.961-1 is a important update for PortaMx v0.961.
We have fixed know bug and added three new global settings.

The language topic also updated!

Fel

--------------------------------
Version: 0.961-1 (13.08.2009)

Fixes:
+ Polls block do not work properly if the first option index > 0
+ Download can't check the access rights, if the user not on the page
+ On IE less the version 8, the attachments and signatures shiftet to the left side
    Because IE ignore margins in floated blocks if inside a cascaded table, whe remove the forum main table
    for IE less the Version 8. In this situation the Forumarea horizontal scroll do not work.

News:
+ Add new options on the "Global Settings"
   1. Move copyright to the SMF copyright on themes:
      You can select the themes on which you move the PortaMx copyright to the rigth side of the SMF copyright.
      Note, that both copyrights are show in one line!

   2. Use Post count based groups for access settings:
      You can use the SMF Post count based groups for the block access, additional to the Regular groups.

   3. Disable global Admin access for block display:
      If checked, the Admin can see only the blocks which are enabled for him, else the Admin can see all blocks.
      The "Admin group" is shown in the access settings, if this enabled.
Many are stubborn in relation to the way, but less in relation to the target.

b4pjoe

*
#1
2009 August 15, 12:31:55 am
I get an error when I try to upgrade.

antechinus

*
#2
2009 August 15, 12:51:22 am
It's early morning here and I've just come online. I'll grab the update file and run some tests.
Using Internet Explorer 6 on the internet is like urinating in a public swimming pool.
It's rude, there's no excuse for it, and anyone who does it should be ashamed of themselves.

antechinus

*
#3
2009 August 15, 01:02:30 am
Ok, I just tested it on a clean RC1.2 installation and I did not get that error. Have you installed any other mods since you installed 0.961?
Using Internet Explorer 6 on the internet is like urinating in a public swimming pool.
It's rude, there's no excuse for it, and anyone who does it should be ashamed of themselves.

Cool

*
#4
2009 August 15, 09:30:22 am
updated yesterday 3 sites without any problems.
|I Use: SMF 2.0.5 | PortaMx 1.51
Q: What do you do when you see a bear in the woods?
A: Play Dead!
H-A-H-L = Happy Admins Have Linux

russena

*
#5
2009 August 15, 10:54:20 am
Thanks Fel!!!!

When you update the language files would be good idea to add a comment before
/ / Version 0961-1
so it is easier to manually update the other languages
<u>Basile</u>
Ho sempre pensato che la scuola fosse fatta prima di tutto dagli insegnanti. In fondo chi mi ha salvato dalla scuola se non tre o quattro insegnanti? [Daniel Pennac]

Cool

*
#6
2009 August 15, 01:54:04 pm
@digiscrap
have you installed first pmx version 0.961?
the version 0.961-1 is just a upgrade for 0.961
|I Use: SMF 2.0.5 | PortaMx 1.51
Q: What do you do when you see a bear in the woods?
A: Play Dead!
H-A-H-L = Happy Admins Have Linux

Cool

*
#7
2009 August 15, 04:13:18 pm
fine
|I Use: SMF 2.0.5 | PortaMx 1.51
Q: What do you do when you see a bear in the woods?
A: Play Dead!
H-A-H-L = Happy Admins Have Linux

Feline

*
#8
2009 August 15, 05:09:40 pm
Quote from: russena, 2009 August 15, 10:54:20 am
When you update the language files would be good idea to add a comment before
/ / Version 0961-1
so it is easier to manually update the other languages

You can see all changes in the language topic ...

Fel
Many are stubborn in relation to the way, but less in relation to the target.

b4pjoe

*
#9
2009 August 16, 05:23:34 pm
Quote from: antechinus, 2009 August 15, 01:02:30 am
Ok, I just tested it on a clean RC1.2 installation and I did not get that error. Have you installed any other mods since you installed 0.961?


I'm pretty sure that the pretty URL's mod changed the "QueryString.php" file so it's not finding the exact text it is looking for during the install.

The upgrade is looking for this:

Code Select
// Rewrite URLs to include the session ID.
function ob_sessrewrite($buffer)
{
global $scripturl, $modSettings, $user_info, $context;


But this is what is in the file:

Code Select
// Rewrite URLs to include the session ID.
function ob_sessrewrite($buffer)
{
global $scripturl, $modSettings, $user_info, $context, $boardurl, $db_count, $sourcedir, $time_start, $txt;

Feline

*
#10
2009 August 16, 07:52:49 pm
In this case you have to add the change manually ...

After this
Code Select

// Rewrite URLs to include the session ID.
function ob_sessrewrite($buffer)
{
  global $scripturl, $modSettings, $user_info, $context, $boardurl, $db_count, $sourcedir, $time_start, $txt;


Add:
Code Select

//-> start add PortaMx
if(!empty($context['PortaMx']['queryargs']))
{
if(preg_match('~'. $context['PortaMx']['queryargs'][0] .'.*</span>~', $buffer, $match) == 1 && preg_match('~'. $context['PortaMx']['queryargs'][1] .'~', $buffer, $tmp) == 1)
{
$match[0] = str_replace($context['PortaMx']['queryargs'][2], '', str_replace($context['PortaMx']['queryargs'][3], $context['PortaMx']['queryargs'][4], str_replace($context['PortaMx']['queryargs'][5], $context['PortaMx']['queryargs'][6], $match[0])));
$buffer = preg_replace('~<div>'. $context['PortaMx']['queryargs'][0] .'.*</div>~', '', $buffer);
$buffer = preg_replace('~'. $tmp[0] .'~', $tmp[0] .' | '. $match[0], $buffer);
}
}
//-> end add PortaMx


Fel
Many are stubborn in relation to the way, but less in relation to the target.

b4pjoe

*
#11
2009 August 16, 10:50:08 pm
Thanks. Worked great.

hartiberlin

*
#12
2009 August 17, 01:31:04 am
Quote from: Cool, 2009 August 15, 01:54:04 pm
@digiscrap
have you installed first pmx version 0.961?
the version 0.961-1 is just a upgrade for 0.961


Hmm,
I wanted to update yeasterday my deutscheahnen.de
site which stillhad 0.957rev2
and when I went into the PortaMX Admin panel
only the ONLINE update to
0.961-1
was offered.

Would this have installed also first the older
0.961 and then also the upgrade to 0.961-1 ?

For fear of fucking this up,I downloaded 0.961 installed
this like a mod and then update online to 0.961-1
and it worked this way...

But would it have worked the simple ONLINE way also  ?

Feline

*
#13
2009 August 17, 12:19:01 pm
Quote from: hartiberlin, 2009 August 17, 01:31:04 am
I wanted to update yeasterday my deutscheahnen.de
site which stillhad 0.957rev2
and when I went into the PortaMX Admin panel
only the ONLINE update to
0.961-1 was offered.

That's normal ... only the last release you see in the PAC.
If you have a 0,957, you must first install 0.961, the the update 0.961-1 and at least the patch for 0.961-1

Fel
Many are stubborn in relation to the way, but less in relation to the target.

* Shouts

Feline
2018 Aug. 21, 08:10:46 pm
Today we update our Forum to the Version 1.45
Feline
2018 Jun. 09, 07:54:13 pm
Today we update our Forum to Version 1.4
This release is full compatible with the EU GDPR
Feline
2018 Mar. 28, 11:56:21 am
Update for PortaMx 1.54 ecl released.
With this updates the Portal works with PHP 7.x and SMF 2.0.15
Feline
2018 Mar. 17, 10:35:03 pm
PortaMx Forum 1.3
released !

*
Feline
2017 Dec. 10, 04:30:54 am
Today we switched to PHP 7.2 and activate Opcode caching.
Fast .. Very fast *
Feline
2017 Mar. 03, 11:54:35 pm
Today we upgrade our old SMF 2.0 Forum to PortaMx Forum *

* Calendar

Su
Mo
Tu
We
Th
Fr
Sa
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31